/**
*
* \file Asura_Chunk_Botanicals_Templates.h
*
* Created by Dave Reed
*
* Copyright (C) 2004 Rebellion (Derby)
*
**/

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef _ASURA_CHUNK_BOTANICALS_TEMPLATES_H__
#define _ASURA_CHUNK_BOTANICALS_TEMPLATES_H__


#include "Core/Asura_Handle.h"
#include "ChunkSystem/Asura_Chunk_Loaders.h"


class Asura_Chunk_Botanicals_Templates : public Asura_Chunk_Header
{
public:
#ifdef ASURA_TOOLS
	static bool Create(char* szFileName);
#endif
	bool Process(Asura_Handle iFileHandle) const;
};


#ifdef ASURA_TOOLS
class Asura_Chunk_Botanicals_Styles : public Asura_Chunk_Header
{
public:
	static bool Create(char* szFileName);
	bool Process(Asura_Handle iFileHandle) const;
};
#endif



#endif //_ASURA_CHUNK_BOTANICALS_TEMPLATES_H__
